local result
local Audio = require("#Celeste.Audio")
local vector2 = require("#microsoft.xna.framework.vector2")
local lua_helper = celeste.Mod.LuaCutscenes.LuaHelper
local monocle = require("#Monocle")
local minput = require("#Monocle.MInput")
local coroutineEntity = monocle.Entity()

function onBegin()
    disableMovement()
    player:RemoveSelf()
    player.DummyAutoAnimate = false
    setPlayerState("StDummy")
    Audio.Play("event:/game/05_mirror_temple/eye_pulse", player.position)
    wait(2.4)
    Audio.Play("event:/game/05_mirror_temple/eye_pulse", player.position)
    wait(1)
    Audio.Play("event:/game/05_mirror_temple/eye_pulse", player.position)
    say("Angleversario_abducao_0")
    setFlag("luz")
    Audio.Play("event:/game/05_mirror_temple/eye_pulse", player.position)
    wait(1.4)
    say("Angleversario_abducao_1")
    setFlag("porta")
    Audio.Play("event:/game/05_mirror_temple/eye_pulse", player.position)
    getLevel():Add(player)
    setPlayerState("StNormal")
    enableMovement()
end